Media Download Async
curl --request POST \
--url https://sdk.nimbleway.com/v2/media/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"country": "<string>",
"expected_mime_types": [
"<string>"
],
"locale": "<string>",
"callback_url": "<string>",
"storage_compress": true,
"storage_object_name": "<string>",
"storage_type": "<string>",
"storage_url": "<string>"
}
'import requests
url = "https://sdk.nimbleway.com/v2/media/async"
payload = {
"url": "<string>",
"country": "<string>",
"expected_mime_types": ["<string>"],
"locale": "<string>",
"callback_url": "<string>",
"storage_compress": True,
"storage_object_name": "<string>",
"storage_type": "<string>",
"storage_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
country: '<string>',
expected_mime_types: ['<string>'],
locale: '<string>',
callback_url: '<string>',
storage_compress: true,
storage_object_name: '<string>',
storage_type: '<string>',
storage_url: '<string>'
})
};
fetch('https://sdk.nimbleway.com/v2/media/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"task": {
"_query": "<unknown>",
"created_at": "<string>",
"id": "<string>",
"input": "<unknown>",
"status_url": "<string>",
"account_name": "<string>",
"batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
"download_url": "https://api.webit.live/api/v2/tasks/123e4567-e89b-12d3-a456-426614174000/results",
"error": "Connection timeout",
"error_type": "timeout_error",
"modified_at": "<string>",
"output_url": "<string>",
"queue": "<string>",
"status_code": 123
}
}Media Download Async
Download media from a URL asynchronously. Returns a task ID immediately.
POST
/
v2
/
media
/
async
Media Download Async
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
URL to call back when async operation completes
Example:
"https://example.com/webhook/callback"
Whether to compress stored data
Example:
true
Custom name for the stored object
Example:
"result-2024-01-15.json"
Type of storage to use for results
Example:
"s3"
URL for storage location
Example:
"s3://bucket-name/path/to/object"
Was this page helpful?
⌘I